<?php

declare(strict_types=1);

namespace KupShop\KupShopBundle\Context;

/**
 * config.* methods can be used to dynamically override jsShop config. (return null -> keeps default from config.ts).
 */
class JsShopContext
{
    public function moduleCartbox(): ?bool
    {
        return null;
    }

    public function moduleToasts(): ?bool
    {
        return null;
    }

    public function moduleToastProductName(): ?bool
    {
        return null;
    }

    public function moduleMobileAddedToCart(): ?bool
    {
        return null;
    }

    public function getUserIconLabel(): ?string
    {
        return null;
    }
}
